Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
Ipopt::MultiVectorMatrixSpace Class Reference

This is the matrix space for MultiVectorMatrix. More...

`#include <IpMultiVectorMatrix.hpp>`

Inheritance diagram for Ipopt::MultiVectorMatrixSpace:
[legend]

## Public Member Functions
MultiVectorMatrix * | MakeNewMultiVectorMatrix () const
| Method for creating a new matrix of this specific type. More...
virtual Matrix * | MakeNew () const
| Overloaded MakeNew method for the MatrixSpace base class. More...
SmartPtr< const VectorSpace > | ColVectorSpace () const
| Accessor method for the VectorSpace for the columns. More...
Constructors / Destructors
| MultiVectorMatrixSpace (Index ncols, const VectorSpace &vec_space)
| Constructor, given the number of columns (i.e., Vectors to be stored) and given the VectorSpace for the Vectors. More...
| ~MultiVectorMatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::MatrixSpace
Index | NRows () const
| Accessor function for the number of rows. More...
Index | NCols () const
| Accessor function for the number of columns. More...
bool | IsMatrixFromSpace (const Matrix &matrix) const
| Method to test if a given matrix belongs to a particular matrix space. More...
| MatrixSpace (Index nRows, Index nCols)
| Constructor, given the number rows and columns of all matrices generated by this MatrixSpace. More...
virtual | ~MatrixSpace ()
| Destructor. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Private Attributes
SmartPtr< const VectorSpace > | vec_space_

## Detailed Description

This is the matrix space for MultiVectorMatrix.

Definition at line 184 of file IpMultiVectorMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::MultiVectorMatrixSpace::MultiVectorMatrixSpace | ( | Index | ncols,
|  | const VectorSpace & | vec_space
| ) |  |

Constructor, given the number of columns (i.e., Vectors to be stored) and given the VectorSpace for the Vectors.

Ipopt::MultiVectorMatrixSpace::~MultiVectorMatrixSpace | ( |  | ) |
| inline

Destructor.

Definition at line 196 of file IpMultiVectorMatrix.hpp.

## Member Function Documentation

MultiVectorMatrix* Ipopt::MultiVectorMatrixSpace::MakeNewMultiVectorMatrix | ( |  | ) | const
| inline

Method for creating a new matrix of this specific type.

Definition at line 201 of file IpMultiVectorMatrix.hpp.

virtual Matrix* Ipopt::MultiVectorMatrixSpace::MakeNew | ( |  | ) | const
| inline virtual

Overloaded MakeNew method for the MatrixSpace base class.

Implements Ipopt::MatrixSpace.

Definition at line 208 of file IpMultiVectorMatrix.hpp.

SmartPtr<const VectorSpace> Ipopt::MultiVectorMatrixSpace::ColVectorSpace | ( |  | ) | const
| inline

Accessor method for the VectorSpace for the columns.

Definition at line 214 of file IpMultiVectorMatrix.hpp.

## Member Data Documentation

SmartPtr<const VectorSpace> Ipopt::MultiVectorMatrixSpace::vec_space_
| private

Definition at line 220 of file IpMultiVectorMatrix.hpp.

The documentation for this class was generated from the following file:

- src/LinAlg/IpMultiVectorMatrix.hpp